uniform mat4 u_ModelView;
uniform mat4 u_ModelViewProjection;

attribute vec4 a_Position;
attribute vec3 a_Normal;
attribute vec2 a_TexCoord;

varying vec3 v_ViewPosition;
varying vec3 v_ViewNormal;
varying vec2 v_TexCoord;

void main() {
    v_ViewPosition = (u_ModelView * a_Position).xyz;
    v_ViewNormal = (u_ModelView * vec4(a_Normal, 0.0)).xyz;
    v_TexCoord = a_TexCoord;
    gl_Position = u_ModelViewProjection * a_Position;
}